Page MenuHomePhabricator

llvm: IPO: handle IRMover error handling, bug #45636
ClosedPublic

Authored by trofi on Apr 22 2020, 2:35 PM.

Details

Summary

Missing error mangling is noticed in
https://bugs.llvm.org/show_bug.cgi?id=45636
where inconsistent profiling input caused
llvm/lld to crash as:

Program aborted due to an unhandled Error:
linking module flags 'ProfileSummary':
  IDs have conflicting values in 'Mutex_posix.o' and 'nsBrowserApp.o'

The change does not change the fact that LLVM crashes
but changes error output to say what was incorrect:

LLVM ERROR: Function Import: link error:
  linking module flags 'ProfileSummary':
    IDs have conflicting values in 'Mutex_posix.o' and 'nsBrowserApp.o'

Actual crash has yet to be fixed.

Diff Detail

Event Timeline

trofi created this revision.Apr 22 2020, 2:35 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 22 2020, 2:35 PM
lattner accepted this revision.Apr 22 2020, 3:34 PM

thanks!

This revision is now accepted and ready to land.Apr 22 2020, 3:34 PM

Thank you for the quick review!

I'll need someone with commit access to land this change.

You can request commit access for yourself, just read the llvm developer policy for more info.

trofi updated this revision to Diff 260073.Apr 25 2020, 12:46 AM

Rebased to get fast failed PE tests. No code changes.

trofi updated this revision to Diff 260076.Apr 25 2020, 2:00 AM

Update author to personal email address.

This revision was automatically updated to reflect the committed changes.
zhuhan0 added a subscriber: zhuhan0.May 7 2020, 1:42 PM